Spaces method and path for this operation:
get /s/{space_id}/api/fleet/epm/packages/_bulk_uninstall/{taskId}
Refer to Spaces for more information.
Get the status and results of a bulk package uninstall operation.
[Required authorization] Route required privileges: integrations-all AND fleet-agent-policies-all.
GET
/api/fleet/epm/packages/_bulk_uninstall/{taskId}
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/epm/packages/_bulk_uninstall/{taskId}' \
--header "Authorization: $API_KEY"
Response examples (200)
Details of the bulk operation task
{
"packages": [
{
"name": "system",
"result": "installed"
},
{
"name": "elastic_agent",
"result": "installed"
}
],
"status": "success"
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}